Page MenuHomePhabricator

[betalabs] NPP - "Uncaught TypeError: Cannot read property 'stats' of undefined" and "Cannot read property 'pages' of undefined"
Closed, ResolvedPublic

Description

  1. In betalabs on Special:NewPagesFeed - mark all filters that you can select. Click on 'Set filters'.

The some results will be displayed.

  1. Un-check one of the filters and click 'Set filters' - the spinning icon appears on the side of 'Refresh list' button at the bottom of the result panel.

The spinning action never ends and if additional filters get un-checked, the multiple spinning icons will be displayed. Clicking on 'Refresh list' icons adds more spinning icons.


The Console display the following:

Uncaught TypeError: Cannot read property 'stats' of undefined
Uncaught TypeError: Cannot read property 'pages' of undefined

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 1 2018, 5:00 PM
Etonkovidova updated the task description. (Show Details)Aug 1 2018, 5:02 PM

Note for testing after the fix: in testwiki (wmf.15) - multiple clicks on 'Refresh list' produce multiple spinning icons.

SBisson claimed this task.Aug 2 2018, 4:47 PM
SBisson edited projects, added Growth-Team (Current Sprint); removed Growth-Team.
SBisson moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

Change 450058 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Only add ORES condition when there is one

https://gerrit.wikimedia.org/r/450058

Change 450058 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Only add ORES condition when there is one

https://gerrit.wikimedia.org/r/450058

Etonkovidova closed this task as Resolved.Aug 6 2018, 11:57 PM

Checked the fix in betalabs.